/*
 *      Header for the About Tab in the config app
 */

/*
 * Copyright 2011 - 2019 Zytronic Displays Limited, UK.
 *
 * This file is part of the ZyConfig application.
 *
 * ZyConfig is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * ZyConfig is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
 * License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with ZyConfig.
 *
 * If not, see <https://www.gnu.org/licenses/>.
 */



#ifndef ABOUTHEADER_H
#define ABOUTHEADER_H

#include <QtWidgets>

class AboutHeader : public QFrame
{
    Q_OBJECT
public:
    explicit AboutHeader(QWidget *parent = 0);

protected:
    void paintEvent(QPaintEvent *event);

private:
    void createWidgets();
    QLayout * createLayout();

    void createAppLogo();
    QLabel * createOSSpecificLabel();

    QLabel *logoLabel;
    QWidget *appLogo;
};

#endif // ZYTCONFABOUTHEADER_H
