/*
 *      Combines the AboutHeader and AboutContent into a single widget
 */

/*
 * Copyright 2011 - 2019 Zytronic Displays Limited, UK.
 *
 * This file is part of the ZyConfig application.
 *
 * ZyConfig is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * ZyConfig is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
 * License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with ZyConfig.
 *
 * If not, see <https://www.gnu.org/licenses/>.
 */


#ifndef ABOUTPAGE_H
#define ABOUTPAGE_H

#include <QtWidgets>
#include "AboutHeader.h"
#include "AboutContent.h"

class AboutPage : public QWidget
{
    Q_OBJECT
public:
    explicit AboutPage(QWidget *parent, QString *versionText);


private:
    void createWidgets(QString *versionText);
    QLayout * createLayout();
    AboutHeader *header;
    AboutContent *content;
};

#endif // ABOUTPAGE_H
