/*
 *      Widget to contain title for pages within tabs. Keeps conformity amongst
 *      all tabs.
 */

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 * Should you need to contact Zytronic, you can do so either via the
 * website <www.zytronic.co.uk> or by paper mail:
 * Zytronic, Whiteley Road, Blaydon on Tyne, Tyne & Wear, NE21 5NJ, UK
 */

#ifndef PAGETITLEFRAME_H
#define PAGETITLEFRAME_H

#include <QWidget>
#include <QtWidgets>

class PageTitleFrame : public QFrame
{
    Q_OBJECT

public:
    PageTitleFrame(const QString titleString, QWidget *parent = 0);
    PageTitleFrame(const QString titleString, const QString stage, QWidget *parent = 0);
    void setTitle(const QString titleString);
    void setTitle(const QString titleString, const QString stageString);
    
protected:
    void paintEvent(QPaintEvent *event);
    
private:
    void createWidgets(const QString titleString, const QString stageString);
    QLayout * createLayout();

    QWidget *m_parent;
    QLabel *title;
    QLabel *stage;
};

#endif
