/*
 *      Content of the Firmware Update Tab in the config app
 */

/*
 * Copyright 2011 - 2019 Zytronic Displays Limited, UK.
 *
 * This file is part of the ZyConfig application.
 *
 * ZyConfig is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * ZyConfig is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
 * License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with ZyConfig.
 *
 * If not, see <https://www.gnu.org/licenses/>.
 */


#ifndef TESTSENSORFRAME_H
#define TESTSENSORFRAME_H

#include <QtWidgets>
#include "ZytContentFrame.h"
#include "Z2RawImageWindow.h"
#include "Z1_RawImageWindow.h"

class TestSensorFrame : public ZytContentFrame
{
    Q_OBJECT

public:
    TestSensorFrame     (QWidget *parent = 0);
    void                reReadValues();
    void                showOverlay();
    void                hideOverlay();
    void                setLEDPoll(bool *inhibit);
protected:
    virtual bool        event(QEvent *event);

private slots:
    void                startRawDataDisplay(void);

private:
    void                createWidgets();
    void                readFromController();
    void                createConnections();
    QLayout             *createLayout();

    static QTime        buttonPressHoldoff;

    QPushButton         *rawViewButton;

    QLabel              *intro;
    QLabel              *warning;
    QLabel              *warningDetail;

    Z2RawImageWindow    z2RawWindow;
    Z1_RawImageWindow   z1_RawWindow;

    int16_t             devPID;
    bool                *inhibitLEDPolling;
};

#endif
