/*
 *      Widget to
 */

/*
 * Copyright 2011 - 2019 Zytronic Displays Limited, UK.
 *
 * This file is part of the ZyConfig application.
 *
 * ZyConfig is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * ZyConfig is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
 * License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with ZyConfig.
 *
 * If not, see <https://www.gnu.org/licenses/>.
 */


#ifndef Z2PR_H
#define Z2PR_H

#include <QtWidgets>
#include "BigLabeledSlider.h"
#include "ZytContentFrame.h"

class Z2PalmRejectFrame : public ZytContentFrame
{
    Q_OBJECT

public:
    Z2PalmRejectFrame(QWidget *parent = 0);
    void reReadValues();
    void showOverlay();
    void hideOverlay();

signals:
    void thresholdsChanged();

protected:
    virtual void showEvent(QShowEvent *Event);
    virtual void hideEvent(QHideEvent *Event);

private slots:
    void actValueChange(int value);
    void sampleTouch();
    void changeThresholds();
    void showHelp();

private:
    void createWidgets();
    void readFromController();
    void createConnections();

    QLayout     *createLayout();

    BigLabeledSlider *actSlider;
    QTimer      *writeThreshChange, *feedbackTimer;

    QLabel      *threshTxtLabel,  *statusLabel,   *touchCountLabel;
    QLabel      *actInc,          *actDec;

    QPushButton *guide;
    int16_t     devPID;
    int         maxThreshold;
    int         minAllowed;
    unsigned char statusIndex;
    unsigned char configIndex;
};

#endif // Z2PR_H
