/*
 *      Generic widget to act as container for the content of pages in
 *      the configuration application.
 */

/*
 * Copyright 2011 - 2019 Zytronic Displays Limited, UK.
 *
 * This file is part of the ZyConfig application.
 *
 * ZyConfig is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * ZyConfig is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
 * License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with ZyConfig.
 *
 * If not, see <https://www.gnu.org/licenses/>.
 */


#include <QtWidgets>
#include "ZytContentFrame.h"

int ZytContentFrame::advancedMode = 0;

ZytContentFrame::ZytContentFrame(QWidget *parent) :
    QFrame(parent)
{
}

void ZytContentFrame::paintEvent(QPaintEvent *event)
{
    QPainter painter(this);
    painter.fillRect(rect(), Qt::white);

    QFrame::paintEvent(event);
}

void ZytContentFrame::reReadValues()
{
    /* Do nothing here, expect subclasses to implement this function */
}

void ZytContentFrame::showOverlay()
{
    /* Do nothing here, expect subclasses to implement this function */
}

void ZytContentFrame::hideOverlay()
{
    /* Do nothing here, expect subclasses to implement this function */
}

int ZytContentFrame::getAdvancedMode()
{
    return ZytContentFrame::advancedMode;
}

void ZytContentFrame::setAdvancedMode(int m)
{
    ZytContentFrame::advancedMode = m;
}

const char *ZytContentFrame::toCString(const QString *s)
{
    static QByteArray byteArray;
    if (s==NULL) return "";
    byteArray = s->toUtf8();
    return byteArray.constData();
}
